from typing import Any


class _Repository:
    _data: dict[str, Any]

    def __init__(self):
        self._data = {}

    def register(self, key: str, value: Any):
        self._data[key] = value

    def get(self, key: str) -> Any | None:
        return self._data.get(key)


I = _Repository() # noqa:E741
